petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscFortranCallbackGetSizes

get sizes of class and subtype pointer arrays

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFortranCallbackGetSizes(PetscClassId classid,PetscInt *numbase,PetscInt *numsubtype)

Collective Many br

### Input Arguments

classid -class Id Many br

### Output Arguments

| numbase | - number of registered class callbacks Many br
| numsubtype | - max number of registered subtype callbacks Many br

Many br

### See Also

PetscFortranCallbackRegister()

Level:developer
Location:src/sys/objects/fcallback.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages